OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_FieldOfHArray2OfPersistent Class Reference

`#include <PColStd_FieldOfHArray2OfPersistent.hxx>`

Inheritance diagram for PColStd_FieldOfHArray2OfPersistent:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_FieldOfHArray2OfPersistent ()
Standard_EXPORT | PColStd_FieldOfHArray2OfPersistent (const Standard_Integer Size)
Standard_EXPORT | PColStd_FieldOfHArray2OfPersistent (const PColStd_FieldOfHArray2OfPersistent &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColStd_FieldOfHArray2OfPersistent &Other)
void | operator= (const PColStd_FieldOfHArray2OfPersistent &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(Standard_Persistent)&Value)
Standard_EXPORT Handle_Standard_Persistent & | Value (const Standard_Integer Index) const
Handle_Standard_Persistent & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColStd_FieldOfHArray2OfPersistent ()
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PColStd_FieldOfHArray2OfPersistent_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_FieldOfHArray2OfPersistent::PColStd_FieldOfHArray2OfPersistent | ( |  | ) |

Standard_EXPORT PColStd_FieldOfHArray2OfPersistent::PColStd_FieldOfHArray2OfPersistent | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColStd_FieldOfHArray2OfPersistent::PColStd_FieldOfHArray2OfPersistent | ( | const PColStd_FieldOfHArray2OfPersistent & | Varray | ) |

PColStd_FieldOfHArray2OfPersistent::~PColStd_FieldOfHArray2OfPersistent | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColStd_FieldOfHArray2OfPersistent::Assign | ( | const PColStd_FieldOfHArray2OfPersistent & | Other | ) |

Standard_EXPORT void PColStd_FieldOfHArray2OfPersistent::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColStd_FieldOfHArray2OfPersistent::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray2OfPersistent::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray2OfPersistent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_Standard_Persistent& PColStd_FieldOfHArray2OfPersistent::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColStd_FieldOfHArray2OfPersistent::operator= | ( | const PColStd_FieldOfHArray2OfPersistent & | Other | ) | `[inline]`

Standard_EXPORT void PColStd_FieldOfHArray2OfPersistent::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColStd_FieldOfHArray2OfPersistent::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Standard_Persistent)& | Value
| ) |

Standard_EXPORT Handle_Standard_Persistent& PColStd_FieldOfHArray2OfPersistent::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_FieldOfHArray2OfPersistent_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_FieldOfHArray2OfPersistent.hxx